Bug 855908 - Asus E35M1-M motherboard not a netbook, shouldn't have special eeepc controls
Asus E35M1-M motherboard not a netbook, shouldn't have special eeepc controls
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 11:11 EDT by Oliver Henshaw
Modified: 2014-11-21 16:49 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:03:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for kernel-3.4.11-1.fc16.x86_64 (66.17 KB, text/plain)
2012-09-22 11:16 EDT, Oliver Henshaw
no flags Details
acpidump for kernel-3.4.11-1.fc16.x86_64 (154.39 KB, application/octet-stream)
2012-09-22 11:18 EDT, Oliver Henshaw
no flags Details

  None (edit)
Description Oliver Henshaw 2012-09-10 11:11:04 EDT
Description of problem:

I noticed an input device pointing to 
./../devices/platform/eeepc-wmi/input/input5 which I thought to be odd as this is not a netbook/laptop (it's a home-built machine with an Asus E35M1-M motherboard/cpu combo). This seems to be due to the asus wmi platform driver:

# dmesg | grep -i wmi
[    3.715828] wmi: Mapper loaded
[   23.863851] asus_wmi: ASUS WMI generic driver loaded
[   23.866860] asus_wmi: Initialization: 0x0
[   23.866960] asus_wmi: BIOS WMI version: 0.9
[   23.868073] asus_wmi: SFUN value: 0x0
[   23.869191] input: Eee PC WMI hotkeys as /devices/platform/eeepc-wmi/input/input5
# ls /sys/devices/platform/eeepc-wmi/
backlight  cpufv  driver  hwmon  input  modalias  power  subsystem  uevent

I'm fairly sure I don't really have laptop hotkeys or a backlight control; not sure about the other things though.


Version-Release number of selected component (if applicable):

kernel-3.1.0-7.fc16.x86_64  (oldest ever installed)
kernel-3.4.9-2.fc16.x86_64  (latest installed)


Additional Info:

# lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] Family 14h Processor Root Complex
00:01.0 VGA compatible controller: ATI Technologies Inc AMD Radeon HD 6310 GraphicsATI
00:01.1 Audio device: ATI Technologies Inc Wrestler HDMI Audio [Radeon HD 6250/6310]
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] (rev 40)
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 42)
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA) (rev 40)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge (rev 40)
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:15.0 PCI bridge: ATI Technologies Inc SB700/SB800 PCI to PCI bridge (PCIE port 0)
00:15.1 PCI bridge: ATI Technologies Inc SB700/SB800 PCI to PCI bridge (PCIE port 1)
00:15.2 PCI bridge: ATI Technologies Inc Device 43a2
00:16.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 0 (rev 43)
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 1
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 2
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 3
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 4
00:18.5 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 6
00:18.6 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 5
00:18.7 Host bridge: Advanced Micro Devices [AMD] Family 12h/14h Processor Function 7
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
04:00.0 PCI bridge: ASMedia Technology Inc. Device 1080 (rev 01)
05:00.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
05:00.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 65)
Comment 1 Josh Boyer 2012-09-19 15:00:05 EDT
Can you attach the output of acpidump and dmesg for this machine?
Comment 2 Oliver Henshaw 2012-09-22 11:16:55 EDT
Created attachment 615845 [details]
dmesg for kernel-3.4.11-1.fc16.x86_64
Comment 3 Oliver Henshaw 2012-09-22 11:18:12 EDT
Created attachment 615846 [details]
acpidump for kernel-3.4.11-1.fc16.x86_64
Comment 4 Dave Jones 2012-10-23 11:27:09 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Oliver Henshaw 2012-11-12 15:22:18 EST
Unchanged with kernel-3.6.6-1.fc16.x86_64:

$ dmesg | grep -i wmi
[    3.568497] wmi: Mapper loaded
[   21.215051] asus_wmi: ASUS WMI generic driver loaded
[   21.216618] asus_wmi: Initialization: 0x0asus_wmi: BIOS WMI version: 0.9
[   21.216763] asus_wmi: SFUN value: 0x0<6>[   21.217454] input: Eee PC WMI hotkeys as /devices/platform/eeepc-wmi/input/input5
[   21.221888] asus_wmi: Disabling ACPI video driver

The "Disabling ACPI video driver" and the missing linebreaks are a change from kernel-3.4.11-1.fc16.x86_64
Comment 6 Fedora End Of Life 2013-01-16 09:33:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 10:42:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 JM 2013-04-10 10:32:17 EDT
Same problem with an ASUS P8H77-M mainboard on Fedora 18 (kernel 3.8.5-201.fc18.x86_64). I added 

asus_wmi and eeepc_wmi

to the blacklist.
Comment 9 Justin M. Forbes 2013-10-18 17:00:43 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 10 Justin M. Forbes 2013-11-27 11:03:19 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 11 Paul Jakma 2014-11-21 16:49:30 EST
This driver is still being loaded on Asus E35M1-I, with the latest Fedora 19 kernel:

# dmidecode | egrep -i 'asus|e35' 
        Manufacturer: ASUSTeK COMPUTER INC.
        Product Name: E35M1-I
# rpm -q fedora-release
fedora-release-19-8.noarch
# uname -r
3.14.23-100.fc19.x86_64
]# dmesg | grep -i wmi
[    8.224861] wmi: Mapper loaded
[    8.624774] asus_wmi: ASUS WMI generic driver loaded
[    8.628643] asus_wmi: Initialization: 0x0
[    8.628702] asus_wmi: BIOS WMI version: 0.9
[    8.628805] asus_wmi: SFUN value: 0x0
[    8.629572] input: Eee PC WMI hotkeys as /devices/platform/eeepc-wmi/input/input9
[    8.640445] asus_wmi: Disabling ACPI video driver
[    9.590861] Modules linked in: rc_dib0700_rc5 arc4 mt2060 rt2800usb rt2x00usb snd_hda_codec_via snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device rt2800lib rt2x00lib mac80211 dvb_usb_dib0700(+) dib8000 dib7000m dib0090 dib0070 cfg80211 dib7000p dib3000mc eeepc_wmi asus_wmi sparse_keymap crc_ccitt dibx000_common rfkill dvb_usb r8169 dvb_core rc_core video kvm_amd kvm mii snd_pcm snd_timer microcode wmi sp5100_tco shpchp snd i2c_piix4 serio_raw soundcore k10temp acpi_cpufreq uinput ata_generic pata_acpi radeon i2c_algo_bit drm_kms_helper ttm pata_atiixp drm i2c_core

Note You need to log in before you can comment on or make changes to this bug.